petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSForwardStep

Compute the forward sensitivity for one time step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardStep(TS ts)

Collective on TS

### Input Arguments

ts -time stepping context

### Notes

This function cannot be called until TSStep() has been completed.

### See Also

TSForwardSetSensitivities(), TSForwardGetSensitivities(), TSForwardSetIntegralGradients(), TSForwardGetIntegralGradients(), TSForwardSetUp()

### Level

advanced

### Location

src/ts/interface/sensitivity/tssen.c

### Implementations

TSForwardStep_RK in src/ts/impls/explicit/rk/rk.c
TSForwardStep_Theta in src/ts/impls/implicit/theta/theta.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages